## mauvealert 3.21.1~127339.gbp373687

=== Makefile ===
#
# Makefile for mauve -- mostly for generating manpages
#
##

OPENBSD_SETUP_FLAGS = --prefix=/usr/local --installdirs=site --ruby-path=/usr/local/bin/ruby18 --mandir=\$$prefix/man/man1 --siteruby=\$$libdir/ruby/site_ruby --siterubyver=\$$siteruby/1.8
BUNDLER_FLAGS ?= --path=vendor/bundle --jobs=4 --no-deployment

all: vendor/bundle man/mauvesend.1 man/mauveserver.1 man/mauveconsole.1 

man:
	mkdir -p man

man/%.1: bin/% vendor/bundle man
	bundle exec $< --manual | txt2man -t $(notdir $<) -s 1  > $@
	test -s $@

clean:
	$(RM) -r man
	$(RM) -r tmp
	
distclean: clean
	$(RM) -r OpenBSD
	$(RM) -r vendor/bundle

vendor/bundle: Gemfile
	@bundle install $(BUNDLER_FLAGS)

Gemfile.lock: Gemfile
	@bundle update

test: vendor/bundle
	@bundle exec rake test

OpenBSD: OpenBSD/sha256.asc

OpenBSD/sha256: OpenBSD/ruby-mauvealert.tar.gz OpenBSD/ruby-protobuf.tar.gz
	#
	# rejig sha256sum to openbsd sha256
	# 
	$(RM) OpenBSD/sha256
	cd OpenBSD && sha256sum * | sed -e 's/\([^ ]\+\)  \(.*\)$$/SHA256 (\2) = \1/' > sha256

OpenBSD/sha256.asc: OpenBSD/sha256
	#
	# Sign it.
	#
	gpg --clearsign OpenBSD/sha256

OpenBSD/ruby-mauvealert.tar.gz: all setup.rb
	mkdir -p tmp/ruby-mauvealert
	ruby ./setup.rb config ${OPENBSD_SETUP_FLAGS}
	ruby ./setup.rb setup
	ruby ./setup.rb install --prefix=tmp/ruby-mauvealert
	mkdir -p OpenBSD
	tar -C tmp/ruby-mauvealert -czvf $@ .

OpenBSD/ruby-protobuf.tar.gz:
	mkdir -p tmp/ruby-protobuf-source
	git clone https://github.com/macks/ruby-protobuf.git tmp/ruby-protobuf-source
	cd tmp/ruby-protobuf-source && git checkout -b v0.4.5
	ln -sf /usr/lib/ruby/1.8/setup.rb tmp/ruby-protobuf-source/
	cd tmp/ruby-protobuf-source && ruby ./setup.rb config ${OPENBSD_SETUP_FLAGS} 
	cd tmp/ruby-protobuf-source && ruby ./setup.rb setup
	cd tmp/ruby-protobuf-source && ruby ./setup.rb install --prefix=../ruby-protobuf
	mkdir -p OpenBSD
	tar -C tmp/ruby-protobuf -czvf $@ .

.PHONY: all clean openbsd_tarball test distclean OpenBSD

## mauvealert 3.16.0~31105.3f044b9

=== debian/changelog ===
mauvealert (3.16.0~31105.3f044b9) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  * Re-packaged to install server into /srv, removing common package. (!2)
  * Fixed a typo in the Depends field for mauvealert-client. (!2)  
  * Removed lots of old, unused scripts, and merged the example configuration
    into /etc/mauvealert/mauveserver.conf. (!2)
  * Changed supervision model to systemd. (!2)
  * Removed XMPP support. (!2)
  * Make authentication work for AJAX requests (#22, !3)
  * Change 'Events' nav item to load day list instead of calendar (#18, !3)

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 01 Aug 2017 14:37:32 +0100

mauvealert (3.15.15-1) stable; urgency=medium

  * Tidied up iconv usage for ruby1.9+

 -- Patrick J Cherry <patch@bytemark.co.uk>  Thu, 10 Jul 2014 13:40:27 +0100

mauvealert (3.15.14-2) stable; urgency=low
 
  * Relaxed mauvealert-client ruby dependency.
 
 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 03 Jul 2014 11:43:00 +0100

mauvealert (3.15.14-1) stable; urgency=low

  * Web interface now defaults to wall-clock hours.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 22 May 2013 11:47:52 +0100

mauvealert (3.15.13-1) stable; urgency=low

  * Switched off global socket reverse lookups.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 21 May 2013 14:34:15 +0100

mauvealert (3.15.12-1) stable; urgency=low

  * Removed extra database lookup when receiving alert updates.
  * Added extra to_a when checking to see if an alert should be suppressed to
    force the database lookup at that point.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 21 May 2013 12:24:13 +0100

mauvealert (3.15.11-1) stable; urgency=low

  * Notifications now generate just one history entry to ensure that the
    previous changes regarding notification supression work.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 16 May 2013 14:13:43 +0100

mauvealert (3.15.10-1ubuntu1) stable; urgency=low

  * Database is now queried to see if a notification should be suppressed.
  * Notification suppression now takes urgency into account, such that more
    urgent alerts are not smothered by less urgent ones.
  * Templates now include which level the alert is.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 16 May 2013 11:47:33 +0100

mauvealert (3.15.9-1) stable; urgency=low

  * Added Mauve::QuickUpdate library

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 02 May 2013 14:23:34 +0100

mauvealert (3.15.8-1) stable; urgency=low

  * Added a further check to make sure the last alert of the same update type
    was being updated by reminders.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 01 May 2013 15:41:10 +0100

mauvealert (3.15.7-1) stable; urgency=low

  * Altered alert_group to only set one reminder.
  * Allow alert to clear raised_at/cleared_at times if none specified.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 01 May 2013 10:16:52 +0100

mauvealert (3.15.6-2) stable; urgency=low

  * Added generic_http library that had been missed off.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 25 Jan 2013 13:47:05 +0000

mauvealert (3.15.6-1) stable; urgency=low

  * Alert fields are now truncated if they're too long.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 12 Dec 2012 10:47:28 +0000

mauvealert (3.15.5-1) stable; urgency=low

  * Fixed bug whereby alerts cleared by a "replace" flag were not sending
    notifications.
  * The alert summary is now recorded in the history for an alert.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 05 Dec 2012 12:34:21 +0000

mauvealert (3.15.4-1) stable; urgency=low

  * Fixed typo in AlertGroup.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 04 Dec 2012 14:34:31 +0000

mauvealert (3.15.3-1) stable; urgency=low

  * Further fix-ups to the alert notification suppression code.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 04 Dec 2012 14:08:47 +0000

mauvealert (3.15.2-1) stable; urgency=low

  * Added "eager" loading when looking at event histories.
  * Fixed event views to use dates, and to miss queries for days with no
    events.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 04 Dec 2012 11:56:19 +0000

mauvealert (3.15.1-1) stable; urgency=low

  * Rationalised alert tables to look the same for both searches and
    normal views.
  * Events calendar is now faster as fewer queries are made when loading. 

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 30 Nov 2012 22:48:43 +0000

mauvealert (3.14.2-1) stable; urgency=low

  * Added search views to package 
  * Alert actions are now controlled by just one form, and two actions.
  * Alerts in search results are now de-duped.
  * Serch results are only coloured if they're raised.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 30 Nov 2012 14:55:16 +0000

mauvealert (3.14.1-1) stable; urgency=low

  * Web frontend now has a search box.
  * Alert counts now reinstated.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 30 Nov 2012 12:35:44 +0000

mauvealert (3.13.2-1) stable; urgency=low

  * Raised time now set to unacknowledgment time when alerts become
    unacknowledged
  * Tidied up history entries
  * Changed UNACKNOWLEDGED to RE-RAISED when alerts are no longer ack'd
  * Added suppression information to views

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 29 Nov 2012 21:05:51 +0000

mauvealert (3.13.1-1) stable; urgency=low

  * Rewrote decision code for notifying on save for an alert.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 29 Nov 2012 16:17:11 +0000

mauvealert (3.12.1-1) stable; urgency=low

  * Added optional notification suppression for alerts.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 29 Nov 2012 10:35:04 +0000

mauvealert (3.11.8-1) stable; urgency=low

  * Re-wrote alert saving logic to use database transactions.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 27 Nov 2012 16:16:09 +0000

mauvealert (3.11.7-1) stable; urgency=low



=== debian/control ===
Source: mauvealert
Maintainer: Matthew Bloch <matthew@bytemark.co.uk>
Uploaders: Patrick J Cherry <patrick@bytemark.co.uk>
Section: ruby
Priority: optional
Build-Depends: ruby | ruby-interpreter, debhelper, rdoc, txt2man, dh-systemd,
 bundler, libsqlite3-dev, zlib1g-dev, libxml2-dev, ruby-dev, libpq-dev,
 postgresql-server-dev-9.4 | postgresql-server-dev-9.6
Standards-Version: 3.9.1

Package: mauvealert-server
Architecture: any
Pre-Depends: libjs-jquery
Depends: adduser, lsb-base, ruby | ruby-interpreter, ruby-bundler, ${shlibs:Depends}, ${misc:Depends}
Suggests: mauvealert-client
Recommends: ruby-locale | liblocale-ruby1.8
Description: Mauve network alert system -- server
 Mauve is a network alert system for system and network administrators.  You can
 use it to quickly set up ad-hoc monitoring for a variety of services, and to
 confidently replace all scripts that might otherwise send floods of emails or
 text messages.
 .
 This is the server package.

Package: mauvealert-client
Architecture: all
Depends: ruby | ruby-interpreter, ruby-protobuf, ${misc:Depends}
Recommends: liblocale-ruby1.8 | ruby-locale
Replaces:  mauvealert-common
Conflicts: mauvealert-common
Provides: mauvealert-common
Description: Mauve network alert system -- client
 Mauve is a network alert system for system and network administrators.  You
 can use it to quickly set up ad-hoc monitoring for a variety of services, and
 to confidently replace all scripts that might otherwise send floods of emails
 or text messages.
 .
 This is the client package.

## mauvealert 3.16.0

=== debian/changelog ===
mauvealert (3.16.0) stable; urgency=medium

  * Re-packaged to install server into /srv, removing common package. (!2)
  * Fixed a typo in the Depends field for mauvealert-client. (!2)  
  * Removed lots of old, unused scripts, and merged the example configuration
    into /etc/mauvealert/mauveserver.conf. (!2)
  * Changed supervision model to systemd. (!2)
  * Removed XMPP support. (!2)
  * Make authentication work for AJAX requests (#22, !3)
  * Change 'Events' nav item to load day list instead of calendar (#18, !3)

  [ Telyn Roat]
  * Removed need for locale gem outside of tests. (github pr #3)

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 31 Jan 2018 11:05:14 +0000

## mauvealert 3.16.1~36182.e81275c

=== debian/changelog ===
mauvealert (3.16.1~36182.e81275c) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  * Fixed Hipchat notification class (#36)

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 01 Mar 2018 10:34:38 +0000

## mauvealert 3.16.1

=== debian/changelog ===
mauvealert (3.16.1) stable; urgency=medium

  * Fixed Hipchat notification class (#36)

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 02 Mar 2018 12:40:14 +0000

## mauvealert 3.16.3~45166.gbpc8059f

=== debian/changelog ===
mauvealert (3.16.3~45166.gbpc8059f) UNRELEASED; urgency=medium

  ** SNAPSHOT build @c8059ff1c8b2aa7068a0430f03177abd164754fc **

  [ Patrick J Cherry ]
  * rubocop

  [ telyn ]
  * Add docker-compose setup with mailserver
  * add license for Tomav's ace docker-mailserver, fiddle with README
  * use .docker-mailserver dir for docker-mailserver config
  * fixup mauvealert-server.docs
  * add instructions for the jquery link to the README

  [ root ]

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 11 May 2018 15:44:12 +0000

mauvealert (3.16.2) stable; urgency=medium

  * Allow setting Hipchat destination for users (#37, !9)

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 02 Mar 2018 15:44:51 +0200

=== debian/rules ===
#!/usr/bin/make -f

export BUNDLER_FLAGS=--deployment --without='test development' --jobs=4

%:
	dh $@ --with-systemd

#
# We test separately in Gitlab.
#
override_dh_auto_test:
	echo "NOP"

## mauvealert 3.17.1~49282.gbpf7e802

=== debian/changelog ===
mauvealert (3.17.1~49282.gbpf7e802) UNRELEASED; urgency=medium

  ** SNAPSHOT build @f7e8025c6e0771252b8cda2f0412730b5d6ee9fc **

  [ Patrick J Cherry ]
  * Added rake to Gemfile

  [ root ]

 -- root <root@runner-32952c23-project-313-concurrent-2>  Thu, 14 Jun 2018 15:29:02 +0000

mauvealert (3.17.0) stable; urgency=medium

  [ Telyn ]
  * Fixed issue where people's every 'preference' was not complied with when
    other people had a more frequent preference. (#25, !13)

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 14 Jun 2018 14:50:19 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Pre-Depends: libjs-jquery
 Depends: adduser, lsb-base, ruby | ruby-interpreter, ruby-bundler, ${shlibs:Depends}, ${misc:Depends}
 Suggests: mauvealert-client
-Recommends: ruby-locale | liblocale-ruby1.8
 Description: Mauve network alert system -- server
  Mauve is a network alert system for system and network administrators.  You can
  use it to quickly set up ad-hoc monitoring for a variety of services, and to
@@ -25,7 +24,6 @@
 Package: mauvealert-client
 Architecture: all
 Depends: ruby | ruby-interpreter, ruby-protobuf, ${misc:Depends}
-Recommends: liblocale-ruby1.8 | ruby-locale
 Replaces:  mauvealert-common
 Conflicts: mauvealert-common
 Provides: mauvealert-common

## mauvealert 3.18.1~69597.gbpcebd90

=== debian/changelog ===
mauvealert (3.18.1~69597.gbpcebd90) UNRELEASED; urgency=medium

  ** SNAPSHOT build @cebd90fcf4afee4dbd2c3549f07e81e0245dbaaa **

  [ James F. Carter ]
  * build for squeeze
  * build for wheezy
  * only build client with a reduced set of buildeps for most distros
  * fix yaml
  * add lucid

  [ root ]

 -- James F. Carter <james.carter@bytemark.co.uk>  Mon, 22 Oct 2018 16:42:06 +0100

mauvealert (3.18.0) stable; urgency=medium

  [ Telyn ]
  * Fixed issue where consecutive raising alerts were not sent Hipchat (#39,
    !17)

 -- James Carter <james.carter@bytemark.co.uk>  Tue, 28 Aug 2018 12:20:06 +0100

=== debian/control ===
Source: mauvealert
Maintainer: Matthew Bloch <matthew@bytemark.co.uk>
Uploaders: Patrick J Cherry <patrick@bytemark.co.uk>
Section: ruby
Priority: optional
Build-Depends: ruby | ruby-interpreter, debhelper, rdoc, txt2man,
 bundler, libsqlite3-dev, zlib1g-dev, libxml2-dev, ruby-dev, libpq-dev,
Standards-Version: 3.9.1

Package: mauvealert-client
Architecture: all
Depends: ruby | ruby-interpreter, ruby-protobuf, ${misc:Depends}
Replaces:  mauvealert-common
Conflicts: mauvealert-common
Provides: mauvealert-common
Description: Mauve network alert system -- client
 Mauve is a network alert system for system and network administrators.  You
 can use it to quickly set up ad-hoc monitoring for a variety of services, and
 to confidently replace all scripts that might otherwise send floods of emails
 or text messages.
 .
 This is the client package.

## mauvealert 3.19.0~76523.6c86158

=== debian/changelog ===
mauvealert (3.19.0~76523.6c86158) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  * Replaced the AuthBytemark and AuthLocal classes in Authentication with a
    single method using LDAP (#17, !21)
  * Replaced the bytemark_auth_url in the config with ldap_auth_url and added
    ldap_auth_group

 -- Hannah Pirie <hannah.pirie@bytemark.co.uk>  Tue, 20 Nov 2018 15:46:43 +0000

## mauvealert 3.21.0~86228.90eead0

=== debian/changelog ===
mauvealert (3.21.0~86228.90eead0) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  [ Telyn ]
  * Mauve no longer sends a notification every time a raised alert receives an
    update - instead, user preferences for reminders are used to determine
    whether to receive the update notification.

 -- Telyn Roat <telyn@bytemark.co.uk>  Fri, 04 Jan 2019 13:27:34 +0000

mauvealert (3.20.0) stable; urgency=medium

  * Do not update `updated_at` on an alert with every packet received (#41,
    !26).

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 18 Dec 2018 16:02:52 +0000

mauvealert (3.19.0) stable; urgency=medium

  [ Hannah Pirie ]
  * Replaced the AuthBytemark and AuthLocal classes in Authentication with a
    single method using LDAP (#17, !21)
  * Replaced the bytemark_auth_url in the config with ldap_auth_url and added
    ldap_auth_group

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 11 Dec 2018 11:03:14 +0000

## mauvealert 3.21.0

=== debian/changelog ===
mauvealert (3.21.0) stable; urgency=medium

  [ Telyn ]
  * Mauve no longer sends a notification every time a raised alert receives an
    update - instead, user preferences for reminders are used to determine
    whether to receive the update notification.

 -- James Carter <james.carter@bytemark.co.uk>  Tue, 19 Feb 2019 14:22:23 +0000

## mauvealert 3.21.1~127339.gbp373687

=== debian/changelog ===
mauvealert (3.21.1~127339.gbp373687) UNRELEASED; urgency=medium

  ** SNAPSHOT build @373687c6b3d9e372785e3fe1868c97abf09da6d4 **

  [ Andrew Ladlow ]
  * Add slack notifier

  [ Mark Egan-Fuller ]
  * Fix missing notifier.
  * Add config for slack.
  * Add missing template.
  * Add config for slack.
  * Remove old slack html.
  * Add missing space in slack footer.
  * Add sanitize message for slack notifier.
  * Add additional sanitization for slack notifier.
  * Force return of message in slack sanitize.
  * Add fallback back in so notifications work.

  [ root ]

 -- root <root@runner-32952c23-project-313-concurrent-2>  Tue, 27 Aug 2019 10:58:07 +0100
